## cpmtools 2.20

=== badfs/Makefile ===
#
# Dummy makefile
#
all:
clean:
distclean:

=== debian/changelog ===
cpmtools (2.20-2) unstable; urgency=low

  * updated to policy 4.1.3
  * switch to https for vcs links

 -- Bdale Garbee <bdale@gag.com>  Fri, 29 Dec 2017 23:35:59 -0700

cpmtools (2.20-1) unstable; urgency=low

  * new upstream version, closes: #792650

 -- Bdale Garbee <bdale@gag.com>  Mon, 12 Dec 2016 16:06:16 -0700

cpmtools (2.17-1) unstable; urgency=low

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Sun, 09 Mar 2014 14:24:59 -0600

cpmtools (2.13-1) unstable; urgency=low

  * new uptream version
  * add Vcs entries to the control file

 -- Bdale Garbee <bdale@gag.com>  Mon, 26 Dec 2011 01:02:56 -0700

cpmtools (2.12-1) unstable; urgency=low

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Mon, 15 Mar 2010 16:08:30 -0600

cpmtools (2.10-2) unstable; urgency=low

  * elide '-T libdsk-type' from executable usage messages, closes: #554342

 -- Bdale Garbee <bdale@gag.com>  Tue, 03 Nov 2009 21:25:26 -0700

cpmtools (2.10-1) unstable; urgency=low

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Tue, 08 Sep 2009 12:52:46 -0600

cpmtools (2.7-1) unstable; urgency=low

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Thu, 05 Jun 2008 16:47:46 -0600

cpmtools (2.5-1) unstable; urgency=low

  * new upstream version, closes: #345395
  * freshen policy and debhelper version

 -- Bdale Garbee <bdale@gag.com>  Fri, 30 Dec 2005 21:20:27 -0700

cpmtools (2.4-3) unstable; urgency=low

  * patch from A Costa for fsck man page typos, closes: #327918

 -- Bdale Garbee <bdale@gag.com>  Wed, 28 Sep 2005 00:53:52 -0600

cpmtools (2.4-2) unstable; urgency=low

  * accept patches from A Costa for man page typos, closes: #305635, #305636

 -- Bdale Garbee <bdale@gag.com>  Sat, 30 Apr 2005 00:08:30 -0600

cpmtools (2.4-1) unstable; urgency=low

  * new upstream version, closes: #275979

 -- Bdale Garbee <bdale@gag.com>  Mon, 11 Oct 2004 10:58:22 -0600

cpmtools (2.1-2) unstable; urgency=low

  * fix thinko in rules file handling of autotools-dev support, closes: #241585

 -- Bdale Garbee <bdale@gag.com>  Thu,  1 Apr 2004 21:41:39 -0700

cpmtools (2.1-1) unstable; urgency=low

  * new upstream version, closes: #239681
  * deliver cpm.5 manpage in binary package, closes: #239680
  * add autotools-dev as a build dep to keep config.* fresh
  * move diskdefs into /etc/cpmtools as a conffile, closes: #239677

 -- Bdale Garbee <bdale@gag.com>  Fri, 26 Mar 2004 11:48:01 -0700

cpmtools (2.0-2) unstable; urgency=low

  * add build-depend on libncurses-dev so that fsed builds, closes: #129679

 -- Bdale Garbee <bdale@gag.com>  Fri, 18 Jan 2002 11:50:16 -0700

cpmtools (2.0-1) unstable; urgency=low

  * Initial Release.

 -- Bdale Garbee <bdale@gag.com>  Tue, 15 Jan 2002 02:23:43 -0700

=== debian/control ===
Source: cpmtools
Section: otherosfs
Priority: optional
Maintainer: Bdale Garbee <bdale@gag.com>
Build-Depends: debhelper (>> 10), libncurses-dev
Standards-Version: 4.1.3
Vcs-Git: git://git.gag.com/debian/cpmtools
Vcs-Browser: https://git.gag.com/?p=debian/cpmtools

Package: cpmtools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Tools to access CP/M file systems
 This package allows access to CP/M file systems similar to the well-known 
 mtools package, which accesses MSDOS file systems.
 .
 All CP/M file system features are supported.

## cpmtools 2.23

=== debian/changelog ===
cpmtools (2.23-5build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:41:49 +1100

cpmtools (2.23-5) unstable; urgency=low

  * elide processed man pages from repo, ensure they're removed in
    the debian/rules clean target, closes: #1044184

 -- Bdale Garbee <bdale@gag.com>  Wed, 28 Feb 2024 21:14:51 -0700

cpmtools (2.23-4) unstable; urgency=low

  * force override of install program to address unwanted stripping,
    closes: #1029084

 -- Bdale Garbee <bdale@gag.com>  Wed, 15 Feb 2023 20:57:37 -0700

cpmtools (2.23-3) unstable; urgency=low

  * try harder to get build using libdsk, closes: #1027769

 -- Bdale Garbee <bdale@gag.com>  Sun, 29 Jan 2023 09:33:11 -0700

cpmtools (2.23-2) unstable; urgency=low

  * strip during dh_auto_install ended with compat 11, so move from 10 to 13
    in hope of actually fixing cross-building, closes: #1029084

 -- Bdale Garbee <bdale@gag.com>  Sun, 29 Jan 2023 09:27:06 -0700

cpmtools (2.23-1) unstable; urgency=low

  * new upstream version, closes: #1027768
  * build with libdsk, closes: #1027769
  * cross-building should be fixed by repackaging, closes: #1029084

 -- Bdale Garbee <bdale@gag.com>  Tue, 24 Jan 2023 15:48:52 -0700

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: cpmtools
 Section: otherosfs
 Priority: optional
-Maintainer: Bdale Garbee <bdale@gag.com>
-Build-Depends: debhelper (>> 10), libncurses-dev
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Bdale Garbee <bdale@gag.com>
+Build-Depends: debhelper (>> 13), libncurses-dev, libdsk4-dev
 Standards-Version: 4.1.3
 Vcs-Git: git://git.gag.com/debian/cpmtools
 Vcs-Browser: https://git.gag.com/?p=debian/cpmtools

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --without autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --datarootdir=/etc/cpmtools --with-libdsk=/usr

override_dh_auto_clean:
	rm -f *.1 *.5
	dh_auto_clean

override_dh_auto_install:
	make install \
		DESTDIR=$(CURDIR)/debian/cpmtools \
		AM_UPDATE_INFO_DIR=no \
		'INSTALL=install --strip-program=true'
